using System;

internal sealed class Delegate598 : MulticastDelegate
{
	public extern void Invoke(object object_0, string string_0);

	public static void smethod_0(object object_0, string string_0, Delegate598 delegate598_1)
	{
		delegate598_1(object_0, string_0);
	}

	public extern Delegate598(object object_0, IntPtr intptr_0);

	static Delegate598()
	{
		Class10.smethod_13(typeof(Delegate598).TypeHandle);
	}

	internal static Delegate598 delegate598_0;
}
